Get a campaign
curl --request GET \
--url https://api.sendkit.dev/campaigns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sendkit.dev/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendkit.dev/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "March Newsletter",
"subject": "Our latest updates",
"preview_text": "Check out what's new",
"reply_to": "support@example.com",
"status": "draft",
"audience_type": "contact_list",
"audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Newsletter Template"
},
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Marketing Team",
"email": "marketing@example.com"
},
"total_recipients": 1500,
"sent_count": 1200,
"failed_count": 5,
"scheduled_at": "2026-03-15 10:00:00",
"sent_at": "2026-03-11 14:30:00",
"created_at": "2026-03-10 09:00:00"
}{
"message": "Invalid API key."
}{
"message": "Not found."
}Campaigns
Get a campaign
Retrieve a single campaign by ID, including its template, sender, and sending statistics.
GET
/
campaigns
/
{id}
Get a campaign
Authorizations
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Path Parameters
The campaign ID.
Response
The campaign object
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"March Newsletter"
Example:
"Our latest updates"
Example:
"Check out what's new"
Example:
"support@example.com"
Available options:
draft, scheduled, sending, sent, partial_sent Example:
"draft"
Available options:
all_contacts, contact_list, segment Example:
"contact_list"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
1500
Example:
1200
Example:
5
Example:
"2026-03-15 10:00:00"
Example:
"2026-03-11 14:30:00"
Example:
"2026-03-10 09:00:00"

